summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfujiwarat <takao.fujiwara1@gmail.com>2013-08-28 12:59:32 +0900
committerfujiwarat <takao.fujiwara1@gmail.com>2013-08-29 12:57:47 +0900
commit2335ca9049142408a7ce7cf9b5a83de006827452 (patch)
treee83fe0ebe2af3e43124552b0b0610982904414b8
parent3a237f806954f091164f6ccc9cdcb091900e156e (diff)
downloadibus-anthy-2335ca9049142408a7ce7cf9b5a83de006827452.tar.gz
Revised CFLAGS in autogen.sh
-rwxr-xr-xautogen.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index b4039f5..92c7655 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,6 +9,11 @@ aclocal -I m4 --force || exit 1
autoheader --force || exit 1
automake --add-missing --copy --force || exit 1
autoconf --force || exit 1
-export CFLAGS="-Wall -g -O0 -Wl,--no-undefined"
-export CXXFLAGS="$CFLAGS"
-./configure "$@" || exit 1
+
+if `echo "$@" | grep -q CFLAGS > /dev/null` ; then
+ ./configure "$@" || exit 1
+else
+ CFLAGS=${CFLAGS-"-Wall -Werror -Wformat -Werror=format-security"}
+ CXXFLAGS="$CFLAGS"
+ ./configure "$@" CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" || exit 1
+fi